@import url("https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root{
  --main-color:#e4b95b;
  --color-white:white;
  --color-dark:#383848;
  --color-light:#9a9a9a;
  --color-section:#f4f2ed;
  --color-input:#e3e2dd;
  --transition-section:.3s
}
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Quicksand", sans-serif;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}
.container{
padding:0 30px;
margin-left: auto;
margin-right: auto;
}
.section-heading{
  text-align: center;
}
.section-heading .tittle-heading{
  font-size:40px;
  color:var(--color-dark);
}
@media(max-width:500px){
  .section-heading .tittle-heading{
  font-size:28px;
}
}
.section-heading .info-heading{
  margin:20px 0;
  color:var(--color-light);
  font-size: 14px;
}
.link{
display: inline-block;
  padding:15px 30px;
  color:var(--color-white);
  border:1px solid var(--color-white);
  border-radius:15px;
  -webkit-border-radius:15px;
  -moz-border-radius:15px;
  -ms-border-radius:15px;
  -o-border-radius:15px;
  transition:var(--transition-section);
  -webkit-transition:var(--transition-section);
  -moz-transition:var(--transition-section);
  -ms-transition:var(--transition-section);
  -o-transition:var(--transition-section);
}
/*Start Header */
header{
  background-image: url(img/home_bg.jpeg);
  height:100vh;
  background-size: cover;
  background-position:center;
  position: relative;
}
header::before{
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top:0;
  left:0;
  background-color: rgb(0, 0, 0, .5);
}
header .container{
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding:0 60px;
}
@media(max-width:767px){
  header .container{
    padding: 0 30px;
  }
}
header .container .logo img{
    width: 80px;
}
header .container nav{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex:1;
  }
header .container nav .bars{
    display: none;
    color:var(--color-white);
    font-size: 22px;
}
@media(max-width:767px){
header .container nav .bars{
    display: block;
}
}
header .container nav ul{
  display: flex; 
}
@media(max-width:767px){
header .container nav:hover ul{
  display: block;
}
header .container nav ul {
  background-color:black;
  position: absolute;
  width:100%;
  top:100%;
  left:0;
  display: none;
  z-index: 1;

}
header .container nav ul::before {
  content: "";
  border-width: 20px;
  border-style: solid;
  border-color: transparent transparent black transparent;
  position: absolute;
  right: 17.1px;
  top: -40.4px;
}
header .container nav ul li{
  margin:25px 0;
  text-align: center;
}
}
header .container nav ul li a{
  padding: 25px 10px;
  margin:0 10px;
  display: block;
  color:var(--color-white);
  font-size: 18px;
  position: relative;
  z-index: 1;
  transition:var(--transition-section);
  -webkit-transition:var(--transition-section);
  -moz-transition:var(--transition-section);
  -ms-transition:var(--transition-section);
  -o-transition:var(--transition-section);
}
@media(max-width:780px)
{
  header .container nav ul li a{
  padding:10px;
  display: inline-block;
}
}
header .container nav ul li a::after{
  content: "";
  position: absolute;
  left:50%;
  bottom:0;
  width: 0;
  height: 3px;
  background-color:var(--main-color);
  transition:var(--transition-section);
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
}
header .container nav ul li a:hover::after{
  width: 100%;
}
header .home{
  width:100%;
  position: absolute;
  top:50%;
  text-align: center;
  transform:translateY(-50%);
  -webkit-transform:translateY(-50%);
  -moz-transform:translateY(-50%);
  -ms-transform:translateY(-50%);
  -o-transform:translateY(-50%);
}
header .home h1{
  font-size:40px;
  color: var(--color-white);
}
@media (max-width:1000px) {
  header .home h1{
    font-size:29px;
  }
}
@media (max-width:600px) {
  header .home h1{
    font-size:19px;
  }
}
header .home h1 span{
  color:var(--main-color)
}
header .home p{
  color:var(--color-white);
  margin:20px 0 40px;
}
@media (max-width:600px) {
  header .home p{
    font-size:13px;
  }
}
header .home .link:hover{
  background-color:var(--main-color);
}
/*End Header*/
/*Start About Section*/
.about{
  padding:100px 0;
}
.about .container{
  display: flex;
  justify-content: space-between;
  margin-top:50px;
}
@media(max-width:767px){
.about .container{
  flex-direction: column;
}
}
.about .container .info{
  width:45%;
}
@media(max-width:767px){
.about .container .info{
  width: 100%;
}
}
.about .container .info p{
  color:#777;
  line-height:1.6;
  font-weight:600;
}
.about .container .info .link{
  margin-top:30px;
  background-color:var(--color-dark);
}
.about .container .info .link:hover{
  background-color:var(--main-color);
}
.about .container .image{
  width:45%;
}
@media(max-width:767px){
.about .container .image{
  width: 100%;
  order:-1;
  margin-bottom:30px;
}
}
.about .container .image img{
  width: 100%;
}
@media(max-width:600px){
.about .container .image{
  display: none;
}
}
/*End About Section*/
/*Start Offer Section*/
.offer,
.gallary{
  background-image:url(img/offer-background.jpg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  padding:50px 0;
}
.offer .tittle-heading{
  color:var(--main-color)
}
.offer .info-heading{
  color:var(--color-white)
}
.offer .container,
.menu .container{
  margin-top:50px;
  color:white;
  display: grid;
  grid-template-columns:repeat(auto-fill, minmax(250px, 1fr));
  gap:50px 30px;
  text-align: center;
}
@media (min-width:1200px){
  .offer .container{
    grid-template-columns:repeat(3, minmax(300px, 1fr));
  }
}
.offer .box img{
  width:200px;
}
.offer .box h3{
  font-size:30px;
  margin-top:15px;
}
.offer .box p,
.menu .box p{
  font-size:14px;
  margin:10px 0 15px;
}
.offer .box .price,
.menu .box .price{
  font-size:25px ;
  color:var(--main-color);
  font-weight: bold;
}
.offer .box .price del{
  font-size:15px ;
  color:var(--color-light)
}
/*End Offer Section*/
/* Start Menu Section  */
.menu{
  padding:100px 0 150px;
  background-color:var(--color-section);
}
.menu .box img{
  width: 130px;
  height: 130px;
  border-radius:50%;
  -webkit-border-radius:50%;
  -moz-border-radius:50%;
  -ms-border-radius:50%;
  -o-border-radius:50%;
  transition:var(--transition-section);
  -webkit-transition:var(--transition-section);
  -moz-transition:var(--transition-section);
  -ms-transition:var(--transition-section);
  -o-transition:var(--transition-section);
}
.menu .box:hover img{
  transform: translateY(-10px);
  -webkit-transform: translateY(-10px);
  -moz-transform: translateY(-10px);
  -ms-transform: translateY(-10px);
  -o-transform: translateY(-10px);
}
.menu .box h3{
  font-size:25px;
  font-weight: bold;
  margin-top:15px;
  color:black;
}
.menu .box p{
  color:black;
}
.menu .link{
  position: absolute;
  margin-top:50px ;
  left:50%;
  transform:translateX(-50%);
  background-color:var(--main-color);
}
.menu .link:hover{
  background-color:var(--color-dark);
}
/* End Menu Section  */
/*Start Day Time Section*/
.daytime{
  background-image:url(img/daytime_bg.jpeg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
.daytime .container{
  display: grid;
  grid-template-columns:repeat(auto-fill, minmax(200px, 1fr));
  gap:30px;
  padding:50px 30px;
  text-align: center;
  align-items: center;
  color:white;
}
@media (min-width:1200px) {
  .daytime .container{
    grid-template-columns:repeat(4, minmax(200px, 1fr));
  }
  
}
.daytime .box h3{
  font-size:35px;
  margin-top:10px;
  font-weight: bold;
}
.daytime .box p{
  margin-top:10px;
  font-weight: bold;
}
/*End Day Time Section*/
/* Start Gallary Section  */
.gallary .tittle-heading{
  color:var(--color-white)
}
.gallary .container{
  display: grid;
  grid-template-columns:repeat(auto-fill, minmax(250px, 1fr));
  gap:30px;
  margin-top: 50px;
}
@media(min-width:1200px){
  .gallary .container{
    grid-template-columns:repeat(3, minmax(250px, 1fr));  
  }
}
.gallary .image{
  overflow: hidden;
  border-radius:20px;
}
.gallary img{
  width:100%;
  height:250px;
  border-radius:20px;
  opacity:.8;
  transition:var(--transition-section);
}
.gallary img:hover{
  opacity: 1;
  transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -ms-transform: scale(1.1);
  -o-transform: scale(1.1);
}
/* End Gallary Section  */
/*Start Contact Section*/
.contact{
  padding:100px 0;
  background-color:var(--color-section);
}
.contact .container{
  display: flex;
  justify-content: space-between;
}
.contact .info{
  width: 45%;
}
.contact .info .text{
  margin-bottom:20px;
}
.contact .info .text h3{
  font-size:30px;
  margin-bottom:20px;
}
.contact .info .text:nth-of-type(1) div{
  padding:5px 0;
}
.contact .info .text:nth-of-type(1) div i{
  color:var(--main-color);
  margin-right:7px;
}
.contact .info .text:nth-of-type(1) div span{
  color:var(--color-light);
}
.contact .info .text:nth-of-type(2) p{
  color:var(--color-light);
  margin-bottom:5px;
}
.contact .info .text .social{
  display: flex;
}
.contact .info .text .social i{
  width:40px;
  height:40px;
  border-radius:50%;
  background-color: var(--color-dark);
  color:white;
  margin-right:10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition:var(--transition-section);
}
.contact .info .text .social i:hover{
  background-color:var(--main-color);
}
.contact form{
  width: 45%;
}
.contact form input,
.contact form textarea{
  display: block;
  width: 100%;
  margin-bottom:15px;
  padding:20px 15px;
  border:none;
  outline:none;
  background-color:#e3e2dd;
}
.contact form textarea{
  resize: none;
  height:130px;
}
.contact form .link{
  background-color:var(--main-color);
  border: none;
  outline: none;
  cursor: pointer;
}
.contact form .link:hover{
  background-color: var(--color-dark);
}
@media(max-width:700px){
  .contact .container{
    flex-direction: column;
  }
  .contact .info,
  .contact form{
    width: 100%;
  }
  .contact .info{
    text-align: center;
  }
  .contact .info .text .social{
    justify-content: center;
  }
  .contact form{
    margin-top:20px;
  }
}
/*End Contact Section*/
footer{
  background-color:var(--color-dark);
  padding:20px 0;
  text-align: center;
  color:var(--color-white)
}
footer a{
  color:var(--main-color);
}